import { MongoClient } from 'mongodb';
import { MongoMemoryServer } from 'mongodb-memory-server';

let dbConnection: any;

const connectToDb = (callback: any) => {
	const uri: string = process.env.DB_URI || '';
	if (uri) {
		MongoClient.connect(uri)
			.then((client) => {
				dbConnection = client.db();
				return callback();
			})
			.catch((error) => {
				console.log(error);
				return callback(error);
			});
	} else {
		console.log('Check that you have a valid DB_URI in your env file');
	}
};

const getDb = () => {
	return dbConnection;
};

export { connectToDb, getDb };
