import { Router } from 'express'
import { addUser, getAllSignedContractsFromGroup, getContractByUserEmail, getContractByUserId, getLoggedInUser, getSignature, getUsers, isUserSigned, saveSignature, updateContractByUserId, resetContractByEmail, userExists } from '../service/userService'
import authorization from '../utils/autherizationMiddleware';

const userRoutes = Router()

userRoutes.get('/loggedInUser', authorization, getLoggedInUser);

userRoutes.get('/users', authorization, getUsers);

userRoutes.post('/doesUserExist', authorization, userExists);

userRoutes.put('/resetContractByEmail', authorization, resetContractByEmail);

userRoutes.put('/updateSignature', authorization, saveSignature);

userRoutes.post('/getSignature', authorization, getSignature);

userRoutes.post('/addUser', authorization, addUser);

userRoutes.post('/isUserSigned', isUserSigned);

userRoutes.get('/getContractByUserId', getContractByUserId);

userRoutes.post('/getContractByUserEmail', authorization, getContractByUserEmail);

userRoutes.post('/getAllSignedContractsFromGroup', authorization, getAllSignedContractsFromGroup);

userRoutes.put('/updateContract', updateContractByUserId);

export default userRoutes