import request from "supertest";
import app from "../index";

export let cookies = "";
export let accessToken = "";

export function loginHovedstyret() {
  test("POST/ login: should return status code 200", async () => {
    const response = await request(app)
      .post("/api/auth/login")
      .send({
        phone_number: "+4798765432",
        password: "hs69",
      })
    expect(response.statusCode).toBe(200);
    expect(response.body["message"]).toBe("Successful login");
    // Store cookies for use in requests.
    cookies = response.headers["set-cookie"];
    // Extract access token from header.
    accessToken = cookies[0].split("=")[1].split(";")[0];
  });
}

export function loginLeader() {
  test("POST/ login: should return status code 200", async () => {
    const response = await request(app)
      .post("/api/auth/login")
      .send({
        phone_number: "+4766669999",
        password: "svom1",
      })
    expect(response.statusCode).toBe(200);
    expect(response.body["message"]).toBe("Successful login");
    // Store cookies for use in requests.
    cookies = response.headers["set-cookie"];
    // Extract access token from header.
    accessToken = cookies[0].split("=")[1].split(";")[0];
  });
}

export function logoutTest() {
  test("GET/ Logging out: should return 200", async () => {
    const response = await request(app)
      .get("/api/auth/logout")
    expect(response.statusCode).toBe(200);
    expect(response.body["message"]).toBe("Successfully logged out");
  });
}