import { IconSearch } from '@tabler/icons-react';
import { useState } from 'react';
import { User } from '../../types/user.js';

//Searchinput for filtering users by name
const UserSearch = (props: { users: User[]; setUsers: any }) => {
	const [userSearch, setUsearSearch] = useState('');
	const users = props.users;

	const filterUserList = (query: string) => {
		const re = RegExp(
			`.*${query.trim().toLowerCase().split('').join('.*')}.*`
		);
		const matches = users.filter((user) =>
			`${user.first_name} ${user.last_name}`.toLowerCase().match(re)
		);
		return matches;
	};

	const onSearchInput = (query: string) => {
		setUsearSearch(query);
		let matchingUsers = filterUserList(query);
		props.setUsers(matchingUsers);
	};

	return (
		<div className='mr-4 flex h-8 flex-row items-center rounded border'>
			<div className='mx-1 text-white'>
				<IconSearch size='15' />
			</div>
			<input
				type='text'
				placeholder='Søk'
				value={userSearch}
				onChange={(search) => onSearchInput(search.target.value)}
				className='bg-custom-dark text-white outline-none placeholder:pl-1'
				data-cy='user-search-input'
			/>
		</div>
	);
};

export default UserSearch;
