import { useState } from 'react';
import UserRow from './UserRow';
import { User } from '../../types/user';
import { ClipLoader } from 'react-spinners';
import { Group } from '../../types/group';

//List displaying UserRows
const UserList = (props: {
	users: User[];
	isLoading: boolean;
	group: Group;
}) => {
	const users = props.users.map((user) => (
		<UserRow key={user.email} user={user} group={props.group} />
	));

	return (
		<>
			{props.isLoading && (
				<div className='mt-36 flex flex-col items-center justify-center'>
					<ClipLoader size={80} color='#FFFFFF' />
					<p className='mt-3em text-[2em] text-white'>
						Brukere lastes inn...
					</p>
				</div>
			)}

			{!props.isLoading && users.length !== 0 && (
				<div className='mt-4 rounded border border-custom-yellow' data-cy='user-loading-icon'>
					{users}
				</div>
			)}

			{users.length === 0 && !props.isLoading && (
				<div className='mt-36 flex items-center justify-center'>
					<p className='mt-3em text-[2em] text-white' data-cy='no-users-text'>
						Ingen brukere
					</p>
				</div>
			)}
		</>
	);
};

export default UserList;
