import { createContext } from 'react';

export interface Membership {
	group: string;
	slug: string;
	membership_no: number;
	type: string;
	group_expiry: string;
}

//Contains all information stored about a logged in user globally
export interface UserInfo {
	first_name: string;
	last_name: string;
	email: string;
	ntnuiNo: number;
	memberships: Membership[];
	userInHS: boolean;
}

export interface UserContextProps {
	userInfo: UserInfo;
	setUserInfo: (state: UserInfo) => void;
}

export const UserContext = createContext<UserContextProps | null>(null);
