import { IconCircleCheck } from '@tabler/icons-react';
import Header from '../components/Global/Header';
import { useLocation } from 'react-router-dom';

const ConfirmationPage = () => {
	const { state } = useLocation();
	let user;
	if (state) user = state.user;

	return (
		<div>
			<Header />
			<div className='grid place-items-center p-12'>
				<IconCircleCheck size={156} className='text-custom-green' />
				<h3 className='p-8 text-3xl font-bold text-white'>
					TAUSHETSERKLÆRING SIGNERT{' '}
					{user &&
						`OG SENDT TIL ${(
							user.first_name +
							' ' +
							user.last_name
						).toUpperCase()}`}
				</h3>
				<p className='text-2xl text-white'>Ha en fin dag videre!</p>
			</div>
		</div>
	);
};

export default ConfirmationPage;
