/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    screens: {
      'sm': '650px',    
      'md': '730px',    
      'lg': '900px',    
      'xl': '1100px',    
    },
    extend: {
      colors: {
        'custom-dark': '#1a202c',
        'custom-yellow': '#faf089',
        'custom-blue': '#3B6DFF',
        'custom-light-blue':'#60A5FA',
        'custom-green': '#39c16c',
        'custom-red': '#ff0000',
        'custom-hover-gray': '#313641',
        'custom-popup-dark': '#25262B'
      },
      spacing: {
        '128': '32rem',
      },
    },
  },
  plugins: [],
}
